Subject: Mentoring Feedback IETF 94 and Plans for Buenos Aires

From: <[email-masked]>
Date: Fri, 5 Feb 2016 15:44:11 +0000 (UTC)

First, let me thank the wonderful mentors who kindly and generously gave of their time and effort to make the mentees feel welcome.  Without everyone's support, we would not have a mentoring program.

If you would like to sign up to mentor for IETF95 in Buenos Aires, please do so here!  We need you!  (In particular for Speed Mentoring.)   

Sign up is here: https://www.surveymonkey.com/r/XPJ3LRK 

Summary
------------- 
For IETF94: We had about 45 mentees and about 25 mentors.  Not all mentees had a unique mentor.  Some mentees only attended our workshop or social gatherings.  This is quite a jump from IETF93 where we had 17 mentees.  I believe that the growth is attributable to better publicity & the events such as Speed Mentoring, the workshop given by Fred Baker on "Journey from I-D to RFC", and the support for lunch & social event that the mentoring team provided.

We hope to have 60-80 mentees in Buenos Aires.  I believe that is possible with the sessions we have planned.  We will be able to serve 30 people in Speed Mentoring alone. 

Mentee Experience
------------------
The mentee experience for IETF94 was good.  For example, in the question: "If you had a mentor assigned to you, what was your experience?"

The results were: 

Great experience                      61.1%   11 
Good or better than I expected 33.3%    6 
Could have been better              5.6%    1 
Not very well at all                      0.0%    0 
------------------------------------------------------- 
answered question                               18 
skipped question                                  13 

(Not all mentees answered the survey) 

Similar results were found for Speed Mentoring. I think the best thing is that nearly 100% of the mentees said that they would recommend mentoring and the mentoring events to others.
There were also some very nice comments from mentees such as: 

"I think the speed mentoring was a great event. All mentors in speed mentoring were very helpful and opened the conversations themselves which helped a lot. I came into IETF with the thought at the back of my mind that there is always the mentoring team to help me and it proved 100% right." 
 
You may see the results of the mentoring survey summary & feedback for IETF94 below:

IETF94 Mentoring Program Summary: http://jmp.sh/3dRSEJu 
IETF94 Overall Comments        :  http://jmp.sh/DtCbNQM 
IETF94 Speed Mentoring Comments:  http://jmp.sh/b4jOADf 

This is the survey feedback for IETF93 - for comparison purposes.  (The number of mentees who responded here is for people who have ever participated in the mentoring program, not just IETF93)
Mentoring Program Summary IETF93: http://jmp.sh/21WBWxM

What worked & will be expanded
--------------------------------------------
Speed Mentoring, the workshop given by Fred Baker on "Journey from I-D to RFC", and the support for lunch & social event that the mentoring team provided. 
The Speed Mentoring logistics need to be improved.  It was a very good experience for all, I believe, but a bit chaotic.  The mentoring team will address this & smooth out.
We will invite mentors to participate for lunch also.  Monday and Tuesday we have a lot of mentees for lunch.  By Wed, many people have found their way socially & come just because they kind of like us!

What did not work
------------------------
We tried two things which did not work: Shadow Mentoring and Remote Mentoring.  

Shadow mentoring is where the mentee attends the same sessions as the mentor.  What happened was that mentors and mentees wanted to attend different sessions and ended up separating.

Remote mentoring is where the mentee is not physically present.  The problem with this is that out of 8 potential remote mentees only 2 responded to an initial email asking them of their interests.  Those 2 we matched but we felt that if the individual could not even respond to an email asking them questions, then how interested and committed are they?

We understand that remote mentoring needs to happen and will think about how this can be done better.

New for IETF95
--------------------
1. We want to do a session on: "Unwritten Rules and Values of the IETF".  This is because quite a few mentees have questions about the culture of the IETF and myths abound.  Please take a look at: 

https://datatracker.ietf.org/doc/draft-elkins-ietf-unwritten-rules-values/

Please let me know what you think and any comments you have.

2. Crisis Mentors: some mentees wanted to have mentors available who would be available to go for a cup of coffee (or whatever) and support when their presentation was torn to shreds in a WG.  It happens.  It has happened to me.  It is nice to have someone to say "Hang in there.  Try again.  This is how you might do better next time."

Some have asked if this is not the job of the mentor to do this.  I think that is great for the mentor to do it but it is nice to have some other perspectives also.  The mentoring team will also provide support in these cases.

Thank you again to everyone for your help & please let me know any comments or questions.

Nalini ElkinsIETF Mentoring Team
Inside Products, Inc.
www.insidethestack.com
(831) 659-8360